| Home | Libraries | People | FAQ | More

## Global _w

boost::xpressive::_w — Matches a word character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified _w;

## Description

'_w' matches a single word character. The regex traits are used to determine which characters are word characters. Use ~_w to match a character that is not a word character.

| Note
_w is like \w in perl. ~_w is like \W in perl.